Subject: Re: bug#66765: closed (Re: bug#66765: 30.0.50; Building emacs with xinput2 breaks receiving XSendEvent events)

From: Po Lu <[email-masked]>
Date: Sun, 29 Oct 2023 08:43:07 +0800

Ami Fischman <[email-masked]> writes:

> Stepping back a bit from the specifics of Emacs and ratpoison, naively
> it seems unfortunate that X11 programs that have been working for
> decades should need to be modified to use similar-but-different APIs.
> Do you know whether the XInput2 people are aware of / at peace with
> this limitation, or is this something worth bringing up with them?

It's an immemorial and largely intentional design decision.  Core events
lack too much information for their transformation into extension events
to be possible.